[arch-commits] Commit in go/repos (12 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Thu May 2 13:23:12 EDT 2013


    Date: Thursday, May 2, 2013 @ 19:23:12
  Author: arodseth
Revision: 89827

archrelease: copy trunk to community-x86_64, community-i686

Added:
  go/repos/community-i686/PKGBUILD
    (from rev 89826, go/trunk/PKGBUILD)
  go/repos/community-i686/go.install
    (from rev 89826, go/trunk/go.install)
  go/repos/community-i686/go.sh
    (from rev 89826, go/trunk/go.sh)
  go/repos/community-x86_64/PKGBUILD
    (from rev 89826, go/trunk/PKGBUILD)
  go/repos/community-x86_64/go.install
    (from rev 89826, go/trunk/go.install)
  go/repos/community-x86_64/go.sh
    (from rev 89826, go/trunk/go.sh)
Deleted:
  go/repos/community-i686/PKGBUILD
  go/repos/community-i686/go.install
  go/repos/community-i686/go.sh
  go/repos/community-x86_64/PKGBUILD
  go/repos/community-x86_64/go.install
  go/repos/community-x86_64/go.sh

-----------------------------+
 /PKGBUILD                   |  286 ++++++++++++++++++++++++++++++++++++++++++
 /go.install                 |   26 +++
 /go.sh                      |    2 
 community-i686/PKGBUILD     |  142 --------------------
 community-i686/go.install   |   13 -
 community-i686/go.sh        |    1 
 community-x86_64/PKGBUILD   |  142 --------------------
 community-x86_64/go.install |   13 -
 community-x86_64/go.sh      |    1 
 9 files changed, 314 insertions(+), 312 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-i686/PKGBUILD	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1,142 +0,0 @@
-# $Id$
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Rémy Oudompheng  <remy at archlinux.org>
-# Contributor: Andres Perera <andres87p gmail>
-# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
-# Contributor: Christian Himpel <chressie at gmail.com>
-# Contributor: Mike Rosset <mike.rosset at gmail.com>
-# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
-
-pkgname=go
-pkgver=1.0.3
-pkgrel=7
-epoch=2
-pkgdesc='Google Go compiler and tools'
-arch=('x86_64' 'i686')
-url='http://golang.org/'
-license=('custom')
-depends=('perl' 'gawk')
-makedepends=('inetutils')
-options=('!strip')
-install="$pkgname.install"
-backup=('usr/lib/go/bin')
-source=("http://go.googlecode.com/files/${pkgname}$pkgver.src.tar.gz"
-        "$pkgname.sh")
-sha256sums=('7fba3533d172f13629d3d8a79e57c620632b0bd075abe11d7698b338be0ae3df'
-            'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
-
-build() {
-  cd "$srcdir/$pkgname"
-
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  else
-    # A friendly gesture to Arch Linux ARM
-    export GOARCH=arm
-  fi
-  export GOROOT_FINAL=/usr/lib/go
-  export GOOS=linux
-
-  cd src
-  bash make.bash
-
-  # Enable ARM crosscompilation for non-arm platforms
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=arm
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=arm
-  fi
-  bash make.bash
-}
-
-check() {
-  cd "$srcdir/$pkgname"
-
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  else
-    # A friendly gesture to Arch Linux ARM
-    export GOARCH=arm
-  fi
-
-  export GOROOT="$srcdir/$pkgname"
-  export PATH="$srcdir/$pkgname/bin:$PATH"
-
-  # TestSimpleMulticastListener will fail in standard chroot.
-  cd src && bash run.bash --no-rebuild || true
-}
-
-package() {
-  cd "$srcdir/$pkgname"
-
-  install -Dm644 LICENSE \
-    $pkgdir/usr/share/licenses/go/LICENSE
-  install -Dm644 misc/bash/go \
-    $pkgdir/usr/share/bash-completion/completions/go
-  install -Dm644 misc/emacs/go-mode-load.el \
-    $pkgdir/usr/share/emacs/site-lisp/go-mode-load.el
-  install -Dm644 misc/emacs/go-mode.el \
-    $pkgdir/usr/share/emacs/site-lisp/go-mode.el
-  install -Dm644 misc/zsh/go \
-    $pkgdir/usr/share/zsh/site-functions/_go
-
-  for f in ftdetect/gofiletype.vim autoload/go/complete.vim indent/go.vim \
-    ftplugin/go/fmt.vim ftplugin/go/godoc.vim ftplugin/go/import.vim \
-    syntax/go.vim syntax/godoc.vim plugin/godoc.vim;
-  do
-    install -Dm644 misc/vim/$f $pkgdir/usr/share/vim/vimfiles/$f
-  done
-
-  mkdir -p $pkgdir/{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site}}
-
-  cp -r doc misc -t $pkgdir/usr/share/go
-  ln -s /usr/share/go/doc $pkgdir/usr/lib/go/doc
-  cp -a bin $pkgdir/usr
-  cp -a pkg $pkgdir/usr/lib/go
-  cp -a $GOROOT/src/pkg $pkgdir/usr/lib/go/src/
-  cp -a $GOROOT/src/cmd $pkgdir/usr/lib/go/src/cmd
-  cp -a $GOROOT/src/lib9 $pkgdir/usr/lib/go/src/
-  cp -a $GOROOT/lib $pkgdir/usr/lib/go/
-  cp -a $GOROOT/include $pkgdir/usr/lib/go/
-
-  install -Dm644 src/Make.* $pkgdir/usr/lib/go/src
-
-  # Remove object files from target src dir
-  find $pkgdir/usr/lib/go/src/ -type f -name '*.[ao]' -delete
-
-  # Fix for FS#32813
-  find $pkgdir -type f -name sql.go -exec chmod -x {} \;
-  
-  # Remove all executable source files
-  find $pkgdir/usr/lib/go/src/pkg -type f -executable -delete
-
-  # Headers for C modules
-  install -Dm644 src/pkg/runtime/runtime.h \
-    $pkgdir/usr/lib/go/src/pkg/runtime/runtime.h
-  install -Dm644 src/pkg/runtime/cgocall.h \
-    $pkgdir/usr/lib/go/src/pkg/runtime/cgocall.h
-
-  # For packages that source /etc/profile.d/go.sh
-  install -Dm755 $srcdir/$pkgname.sh $pkgdir/etc/profile.d/$pkgname.sh
-
-  # This is to make go get code.google.com/p/go-tour/gotour and
-  # then running the gotour executable work out of the box.
-  ln -sf /usr/bin $pkgdir/usr/lib/go/bin
-
-  # For godoc
-  install -Dm644 favicon.ico $pkgdir/usr/lib/go/favicon.ico
-
-  rm -f $pkgdir/usr/share/go/doc/articles/wiki/get.bin
-
-  install -Dm644 VERSION $pkgdir/usr/lib/go/VERSION
-
-  # Clean up
-  rm -r "$pkgdir/usr/bin/linux_arm"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-i686/PKGBUILD (from rev 89826, go/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1,143 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Rémy Oudompheng  <remy at archlinux.org>
+# Contributor: Andres Perera <andres87p gmail>
+# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
+# Contributor: Christian Himpel <chressie at gmail.com>
+# Contributor: Mike Rosset <mike.rosset at gmail.com>
+# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
+pkgname=go
+pkgver=1.1rc1
+pkgrel=1
+epoch=2
+pkgdesc='Google Go compiler and tools'
+arch=('x86_64' 'i686')
+url='http://golang.org/'
+license=('custom')
+depends=('perl' 'gawk')
+makedepends=('inetutils')
+options=('!strip')
+install="$pkgname.install"
+backup=('usr/lib/go/bin')
+if [ "$CARCH" == 'x86_64' ]; then
+  source=("http://go.googlecode.com/files/${pkgname}$pkgver.linux-amd64.tar.gz"
+          "$pkgname.sh")
+  sha256sums=('fc76b716b031d8afba3f3e6bcaca410e8dbf5fb625db5def00fbaaaa960e108c'
+            'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
+else
+  source=("http://go.googlecode.com/files/${pkgname}$pkgver.linux-386.tar.gz"
+          "$pkgname.sh")
+  sha256sums=('b4eb8d9b55ae4a78c86213fa968755163ab3a8efa3f5c9f3a472b182b9d9a52e'
+              'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
+fi
+
+build() {
+  cd "$srcdir/$pkgname/src"
+
+  export GOROOT_FINAL=/usr/lib/go
+
+  # Enable ARM crosscompilation for linux
+  export GOOS=linux
+  export GOARCH=arm
+  bash make.bash
+
+  # Crosscompilation for other platforms too (including linux i686 and x86_64)
+  for os in linux; do # also possible: darwin freebsd windows
+    for arch in amd64 386; do
+      export GOOS=$os
+      export GOARCH=$arch
+      bash make.bash
+    done
+  done
+}
+
+check() {
+  cd "$srcdir/$pkgname"
+
+  # Only test for linux and the architecture we're on
+  export GOOS=linux
+  if [ "$CARCH" == 'x86_64' ]; then
+    export GOARCH=amd64
+  elif [ "$CARCH" == 'i686' ]; then
+    export GOARCH=386
+  else
+    export GOARCH=arm
+  fi
+
+  export GOROOT="$srcdir/$pkgname"
+  export PATH="$srcdir/$pkgname/bin:$PATH"
+
+  # TestSimpleMulticastListener will fail in standard chroot.
+  cd src && bash run.bash --no-rebuild || true
+}
+
+package() {
+  cd "$srcdir/$pkgname"
+
+  install -Dm644 LICENSE \
+    $pkgdir/usr/share/licenses/go/LICENSE
+  install -Dm644 misc/bash/go \
+    $pkgdir/usr/share/bash-completion/completions/go
+  install -Dm644 misc/emacs/go-mode-load.el \
+    $pkgdir/usr/share/emacs/site-lisp/go-mode-load.el
+  install -Dm644 misc/emacs/go-mode.el \
+    $pkgdir/usr/share/emacs/site-lisp/go-mode.el
+  install -Dm644 misc/zsh/go \
+    $pkgdir/usr/share/zsh/site-functions/_go
+
+  for f in ftdetect/gofiletype.vim autoload/go/complete.vim indent/go.vim \
+    ftplugin/go/fmt.vim ftplugin/go/import.vim syntax/go.vim syntax/godoc.vim \
+    plugin/godoc.vim;
+  do
+    install -Dm644 misc/vim/$f $pkgdir/usr/share/vim/vimfiles/$f
+  done
+
+  mkdir -p $pkgdir/{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site}}
+
+  cp -r doc misc -t $pkgdir/usr/share/go
+  ln -s /usr/share/go/doc $pkgdir/usr/lib/go/doc
+  cp -a bin $pkgdir/usr
+  cp -a pkg $pkgdir/usr/lib/go
+  cp -a $GOROOT/src/pkg $pkgdir/usr/lib/go/src/
+  cp -a $GOROOT/src/cmd $pkgdir/usr/lib/go/src/cmd
+  cp -a $GOROOT/src/lib9 $pkgdir/usr/lib/go/src/
+  cp -a $GOROOT/lib $pkgdir/usr/lib/go/
+  cp -a $GOROOT/include $pkgdir/usr/lib/go/
+
+  install -Dm644 src/Make.* $pkgdir/usr/lib/go/src
+
+  # Remove object files from target src dir
+  find $pkgdir/usr/lib/go/src/ -type f -name '*.[ao]' -delete
+
+  # Fix for FS#32813
+  find $pkgdir -type f -name sql.go -exec chmod -x {} \;
+  
+  # Remove all executable source files
+  find $pkgdir/usr/lib/go/src/pkg -type f -executable -delete
+
+  # Headers for C modules
+  install -Dm644 src/pkg/runtime/runtime.h \
+    $pkgdir/usr/lib/go/src/pkg/runtime/runtime.h
+  install -Dm644 src/pkg/runtime/cgocall.h \
+    $pkgdir/usr/lib/go/src/pkg/runtime/cgocall.h
+
+  # For packages that source /etc/profile.d/go.sh
+  install -Dm755 $srcdir/$pkgname.sh $pkgdir/etc/profile.d/$pkgname.sh
+
+  # This is to make go get code.google.com/p/go-tour/gotour and
+  # then running the gotour executable work out of the box.
+  ln -sf /usr/bin $pkgdir/usr/lib/go/bin
+
+  # For godoc
+  install -Dm644 favicon.ico $pkgdir/usr/lib/go/favicon.ico
+
+  rm -f $pkgdir/usr/share/go/doc/articles/wiki/get.bin
+
+  install -Dm644 VERSION $pkgdir/usr/lib/go/VERSION
+
+  # Clean up
+  #rm -r "$pkgdir/usr/bin/linux_arm"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/go.install
===================================================================
--- community-i686/go.install	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-i686/go.install	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  # Friendly message to the user
-  echo "Example use of the \"go\" tool as a user:"
-  echo "    mkdir ~/go"
-  echo "    export GOPATH=~/go"
-  echo "    go get website.com/user/module"
-}
-
-post_install() {
-  post_upgrade
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-i686/go.install (from rev 89826, go/trunk/go.install)
===================================================================
--- community-i686/go.install	                        (rev 0)
+++ community-i686/go.install	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  # Friendly message to the user
+  echo "Example use of the \"go\" tool as a user:"
+  echo "    mkdir ~/go"
+  echo "    export GOPATH=~/go"
+  echo "    go get website.com/user/module"
+}
+
+post_install() {
+  post_upgrade
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/go.sh
===================================================================
--- community-i686/go.sh	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-i686/go.sh	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1 +0,0 @@
-export GOPATH=/usr/lib/go/site

Copied: go/repos/community-i686/go.sh (from rev 89826, go/trunk/go.sh)
===================================================================
--- community-i686/go.sh	                        (rev 0)
+++ community-i686/go.sh	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1 @@
+export GOPATH=/usr/lib/go/site

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-x86_64/PKGBUILD	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1,142 +0,0 @@
-# $Id$
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Rémy Oudompheng  <remy at archlinux.org>
-# Contributor: Andres Perera <andres87p gmail>
-# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
-# Contributor: Christian Himpel <chressie at gmail.com>
-# Contributor: Mike Rosset <mike.rosset at gmail.com>
-# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
-
-pkgname=go
-pkgver=1.0.3
-pkgrel=7
-epoch=2
-pkgdesc='Google Go compiler and tools'
-arch=('x86_64' 'i686')
-url='http://golang.org/'
-license=('custom')
-depends=('perl' 'gawk')
-makedepends=('inetutils')
-options=('!strip')
-install="$pkgname.install"
-backup=('usr/lib/go/bin')
-source=("http://go.googlecode.com/files/${pkgname}$pkgver.src.tar.gz"
-        "$pkgname.sh")
-sha256sums=('7fba3533d172f13629d3d8a79e57c620632b0bd075abe11d7698b338be0ae3df'
-            'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
-
-build() {
-  cd "$srcdir/$pkgname"
-
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  else
-    # A friendly gesture to Arch Linux ARM
-    export GOARCH=arm
-  fi
-  export GOROOT_FINAL=/usr/lib/go
-  export GOOS=linux
-
-  cd src
-  bash make.bash
-
-  # Enable ARM crosscompilation for non-arm platforms
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=arm
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=arm
-  fi
-  bash make.bash
-}
-
-check() {
-  cd "$srcdir/$pkgname"
-
-  if [ "$CARCH" == 'x86_64' ]; then
-    export GOARCH=amd64
-  elif [ "$CARCH" == 'i686' ]; then
-    export GOARCH=386
-  else
-    # A friendly gesture to Arch Linux ARM
-    export GOARCH=arm
-  fi
-
-  export GOROOT="$srcdir/$pkgname"
-  export PATH="$srcdir/$pkgname/bin:$PATH"
-
-  # TestSimpleMulticastListener will fail in standard chroot.
-  cd src && bash run.bash --no-rebuild || true
-}
-
-package() {
-  cd "$srcdir/$pkgname"
-
-  install -Dm644 LICENSE \
-    $pkgdir/usr/share/licenses/go/LICENSE
-  install -Dm644 misc/bash/go \
-    $pkgdir/usr/share/bash-completion/completions/go
-  install -Dm644 misc/emacs/go-mode-load.el \
-    $pkgdir/usr/share/emacs/site-lisp/go-mode-load.el
-  install -Dm644 misc/emacs/go-mode.el \
-    $pkgdir/usr/share/emacs/site-lisp/go-mode.el
-  install -Dm644 misc/zsh/go \
-    $pkgdir/usr/share/zsh/site-functions/_go
-
-  for f in ftdetect/gofiletype.vim autoload/go/complete.vim indent/go.vim \
-    ftplugin/go/fmt.vim ftplugin/go/godoc.vim ftplugin/go/import.vim \
-    syntax/go.vim syntax/godoc.vim plugin/godoc.vim;
-  do
-    install -Dm644 misc/vim/$f $pkgdir/usr/share/vim/vimfiles/$f
-  done
-
-  mkdir -p $pkgdir/{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site}}
-
-  cp -r doc misc -t $pkgdir/usr/share/go
-  ln -s /usr/share/go/doc $pkgdir/usr/lib/go/doc
-  cp -a bin $pkgdir/usr
-  cp -a pkg $pkgdir/usr/lib/go
-  cp -a $GOROOT/src/pkg $pkgdir/usr/lib/go/src/
-  cp -a $GOROOT/src/cmd $pkgdir/usr/lib/go/src/cmd
-  cp -a $GOROOT/src/lib9 $pkgdir/usr/lib/go/src/
-  cp -a $GOROOT/lib $pkgdir/usr/lib/go/
-  cp -a $GOROOT/include $pkgdir/usr/lib/go/
-
-  install -Dm644 src/Make.* $pkgdir/usr/lib/go/src
-
-  # Remove object files from target src dir
-  find $pkgdir/usr/lib/go/src/ -type f -name '*.[ao]' -delete
-
-  # Fix for FS#32813
-  find $pkgdir -type f -name sql.go -exec chmod -x {} \;
-  
-  # Remove all executable source files
-  find $pkgdir/usr/lib/go/src/pkg -type f -executable -delete
-
-  # Headers for C modules
-  install -Dm644 src/pkg/runtime/runtime.h \
-    $pkgdir/usr/lib/go/src/pkg/runtime/runtime.h
-  install -Dm644 src/pkg/runtime/cgocall.h \
-    $pkgdir/usr/lib/go/src/pkg/runtime/cgocall.h
-
-  # For packages that source /etc/profile.d/go.sh
-  install -Dm755 $srcdir/$pkgname.sh $pkgdir/etc/profile.d/$pkgname.sh
-
-  # This is to make go get code.google.com/p/go-tour/gotour and
-  # then running the gotour executable work out of the box.
-  ln -sf /usr/bin $pkgdir/usr/lib/go/bin
-
-  # For godoc
-  install -Dm644 favicon.ico $pkgdir/usr/lib/go/favicon.ico
-
-  rm -f $pkgdir/usr/share/go/doc/articles/wiki/get.bin
-
-  install -Dm644 VERSION $pkgdir/usr/lib/go/VERSION
-
-  # Clean up
-  rm -r "$pkgdir/usr/bin/linux_arm"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-x86_64/PKGBUILD (from rev 89826, go/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1,143 @@
+# $Id$
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Rémy Oudompheng  <remy at archlinux.org>
+# Contributor: Andres Perera <andres87p gmail>
+# Contributor: Matthew Bauer <mjbauer95 at gmail.com>
+# Contributor: Christian Himpel <chressie at gmail.com>
+# Contributor: Mike Rosset <mike.rosset at gmail.com>
+# Contributor: Daniel YC Lin <dlin.tw at gmail.com>
+pkgname=go
+pkgver=1.1rc1
+pkgrel=1
+epoch=2
+pkgdesc='Google Go compiler and tools'
+arch=('x86_64' 'i686')
+url='http://golang.org/'
+license=('custom')
+depends=('perl' 'gawk')
+makedepends=('inetutils')
+options=('!strip')
+install="$pkgname.install"
+backup=('usr/lib/go/bin')
+if [ "$CARCH" == 'x86_64' ]; then
+  source=("http://go.googlecode.com/files/${pkgname}$pkgver.linux-amd64.tar.gz"
+          "$pkgname.sh")
+  sha256sums=('fc76b716b031d8afba3f3e6bcaca410e8dbf5fb625db5def00fbaaaa960e108c'
+            'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
+else
+  source=("http://go.googlecode.com/files/${pkgname}$pkgver.linux-386.tar.gz"
+          "$pkgname.sh")
+  sha256sums=('b4eb8d9b55ae4a78c86213fa968755163ab3a8efa3f5c9f3a472b182b9d9a52e'
+              'a03db71d323ed2794123bb31b5c8ad5febd551c490b5c0b341052c8e5f0ba892')
+fi
+
+build() {
+  cd "$srcdir/$pkgname/src"
+
+  export GOROOT_FINAL=/usr/lib/go
+
+  # Enable ARM crosscompilation for linux
+  export GOOS=linux
+  export GOARCH=arm
+  bash make.bash
+
+  # Crosscompilation for other platforms too (including linux i686 and x86_64)
+  for os in linux; do # also possible: darwin freebsd windows
+    for arch in amd64 386; do
+      export GOOS=$os
+      export GOARCH=$arch
+      bash make.bash
+    done
+  done
+}
+
+check() {
+  cd "$srcdir/$pkgname"
+
+  # Only test for linux and the architecture we're on
+  export GOOS=linux
+  if [ "$CARCH" == 'x86_64' ]; then
+    export GOARCH=amd64
+  elif [ "$CARCH" == 'i686' ]; then
+    export GOARCH=386
+  else
+    export GOARCH=arm
+  fi
+
+  export GOROOT="$srcdir/$pkgname"
+  export PATH="$srcdir/$pkgname/bin:$PATH"
+
+  # TestSimpleMulticastListener will fail in standard chroot.
+  cd src && bash run.bash --no-rebuild || true
+}
+
+package() {
+  cd "$srcdir/$pkgname"
+
+  install -Dm644 LICENSE \
+    $pkgdir/usr/share/licenses/go/LICENSE
+  install -Dm644 misc/bash/go \
+    $pkgdir/usr/share/bash-completion/completions/go
+  install -Dm644 misc/emacs/go-mode-load.el \
+    $pkgdir/usr/share/emacs/site-lisp/go-mode-load.el
+  install -Dm644 misc/emacs/go-mode.el \
+    $pkgdir/usr/share/emacs/site-lisp/go-mode.el
+  install -Dm644 misc/zsh/go \
+    $pkgdir/usr/share/zsh/site-functions/_go
+
+  for f in ftdetect/gofiletype.vim autoload/go/complete.vim indent/go.vim \
+    ftplugin/go/fmt.vim ftplugin/go/import.vim syntax/go.vim syntax/godoc.vim \
+    plugin/godoc.vim;
+  do
+    install -Dm644 misc/vim/$f $pkgdir/usr/share/vim/vimfiles/$f
+  done
+
+  mkdir -p $pkgdir/{etc/profile.d,usr/{share/go,lib/go,lib/go/src,lib/go/site}}
+
+  cp -r doc misc -t $pkgdir/usr/share/go
+  ln -s /usr/share/go/doc $pkgdir/usr/lib/go/doc
+  cp -a bin $pkgdir/usr
+  cp -a pkg $pkgdir/usr/lib/go
+  cp -a $GOROOT/src/pkg $pkgdir/usr/lib/go/src/
+  cp -a $GOROOT/src/cmd $pkgdir/usr/lib/go/src/cmd
+  cp -a $GOROOT/src/lib9 $pkgdir/usr/lib/go/src/
+  cp -a $GOROOT/lib $pkgdir/usr/lib/go/
+  cp -a $GOROOT/include $pkgdir/usr/lib/go/
+
+  install -Dm644 src/Make.* $pkgdir/usr/lib/go/src
+
+  # Remove object files from target src dir
+  find $pkgdir/usr/lib/go/src/ -type f -name '*.[ao]' -delete
+
+  # Fix for FS#32813
+  find $pkgdir -type f -name sql.go -exec chmod -x {} \;
+  
+  # Remove all executable source files
+  find $pkgdir/usr/lib/go/src/pkg -type f -executable -delete
+
+  # Headers for C modules
+  install -Dm644 src/pkg/runtime/runtime.h \
+    $pkgdir/usr/lib/go/src/pkg/runtime/runtime.h
+  install -Dm644 src/pkg/runtime/cgocall.h \
+    $pkgdir/usr/lib/go/src/pkg/runtime/cgocall.h
+
+  # For packages that source /etc/profile.d/go.sh
+  install -Dm755 $srcdir/$pkgname.sh $pkgdir/etc/profile.d/$pkgname.sh
+
+  # This is to make go get code.google.com/p/go-tour/gotour and
+  # then running the gotour executable work out of the box.
+  ln -sf /usr/bin $pkgdir/usr/lib/go/bin
+
+  # For godoc
+  install -Dm644 favicon.ico $pkgdir/usr/lib/go/favicon.ico
+
+  rm -f $pkgdir/usr/share/go/doc/articles/wiki/get.bin
+
+  install -Dm644 VERSION $pkgdir/usr/lib/go/VERSION
+
+  # Clean up
+  #rm -r "$pkgdir/usr/bin/linux_arm"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/go.install
===================================================================
--- community-x86_64/go.install	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-x86_64/go.install	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  # Friendly message to the user
-  echo "Example use of the \"go\" tool as a user:"
-  echo "    mkdir ~/go"
-  echo "    export GOPATH=~/go"
-  echo "    go get website.com/user/module"
-}
-
-post_install() {
-  post_upgrade
-}
-
-# vim:set ts=2 sw=2 et:

Copied: go/repos/community-x86_64/go.install (from rev 89826, go/trunk/go.install)
===================================================================
--- community-x86_64/go.install	                        (rev 0)
+++ community-x86_64/go.install	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  # Friendly message to the user
+  echo "Example use of the \"go\" tool as a user:"
+  echo "    mkdir ~/go"
+  echo "    export GOPATH=~/go"
+  echo "    go get website.com/user/module"
+}
+
+post_install() {
+  post_upgrade
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/go.sh
===================================================================
--- community-x86_64/go.sh	2013-05-02 16:18:15 UTC (rev 89826)
+++ community-x86_64/go.sh	2013-05-02 17:23:12 UTC (rev 89827)
@@ -1 +0,0 @@
-export GOPATH=/usr/lib/go/site

Copied: go/repos/community-x86_64/go.sh (from rev 89826, go/trunk/go.sh)
===================================================================
--- community-x86_64/go.sh	                        (rev 0)
+++ community-x86_64/go.sh	2013-05-02 17:23:12 UTC (rev 89827)
@@ -0,0 +1 @@
+export GOPATH=/usr/lib/go/site



More information about the arch-commits mailing list